# saga::attribute Class Reference

Brief description starts here. More...

`#include <attribute.hpp>`

Inheritance diagram for saga::attribute:

[legend]

List of all members.

## Public Member Functions
| attribute (saga::impl::object *impl)
| Brief description starts here.
| attribute (saga::object rhs)
| Brief description starts here.
| attribute (void)
| Brief description starts here.
| ~attribute (void)
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Constructor & Destructor Documentation

saga::attribute::attribute | ( | saga::impl::object * | impl | ) | `[explicit]`

Brief description starts here.

saga::attribute::attribute | ( | saga::object | rhs | ) |

Brief description starts here.

saga::attribute::attribute | ( | void |  | ) |

Brief description starts here.

saga::attribute::~attribute | ( | void |  | ) |

Brief description starts here.

The documentation for this class was generated from the following files:

- attribute.hpp
- attribute.cpp